Package org.bukkit.block.data.type

# Interface TurtleEgg

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface TurtleEgg extends BlockData
'hatch' is the number of turtles which may hatch from these eggs.
'eggs' is the number of eggs which appear in this block.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEggs()`
Gets the value of the 'eggs' property.
`int`
`getHatch()`
Gets the value of the 'hatch' property.
`int`
`getMaximumEggs()`
Gets the maximum allowed value of the 'eggs' property.
`int`
`getMaximumHatch()`
Gets the maximum allowed value of the 'hatch' property.
`int`
`getMinimumEggs()`
Gets the minimum allowed value of the 'eggs' property.
`void`
`setEggs(int eggs)`
Sets the value of the 'eggs' property.
`void`
`setHatch(int hatch)`
Sets the value of the 'hatch' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### getEggs

int getEggs()
Gets the value of the 'eggs' property.

Returns:
  the 'eggs' value

### setEggs

void setEggs(int eggs)
Sets the value of the 'eggs' property.

Parameters:
  `eggs` - the new 'eggs' value

### getMinimumEggs

int getMinimumEggs()
Gets the minimum allowed value of the 'eggs' property.

Returns:
  the minimum 'eggs' value

### getMaximumEggs

int getMaximumEggs()
Gets the maximum allowed value of the 'eggs' property.

Returns:
  the maximum 'eggs' value

### getHatch

int getHatch()
Gets the value of the 'hatch' property.

Returns:
  the 'hatch' value

### setHatch

void setHatch(int hatch)
Sets the value of the 'hatch' property.

Parameters:
  `hatch` - the new 'hatch' value

### getMaximumHatch

int getMaximumHatch()
Gets the maximum allowed value of the 'hatch' property.

Returns:
  the maximum 'hatch' value